Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query.criteria
Class NotNullAuditExpression

    java.lang.Object
      org.hibernate.envers.query.criteria.NotNullAuditExpression

All Implemented Interfaces:
  AuditCriterion

    public class NotNullAuditExpression

extends Object
implements AuditCriterion

Constructor Summary
`NotNullAuditExpression(PropertyNameGetter propertyNameGetter)`

Method Summary
`void` | `addToQuery(AuditConfiguration auditCfg, String entityName, QueryBuilder qb, Parameters parameters)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotNullAuditExpression

    public NotNullAuditExpression(PropertyNameGetter propertyNameGetter)

Method Detail

### addToQuery

    public void addToQuery(AuditConfiguration auditCfg,
                           String entityName,
                           QueryBuilder qb,
                           Parameters parameters)

  Specified by:
    `addToQuery` in interface `AuditCriterion`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.